Package: org.gradle.tooling.model.idea

## [Java] Interface BasicIdeaProject

- org.gradle.tooling.model.Element

- All Superinterfaces:
    IdeaProject, HierarchicalElement, Model, Element

  IdeaProject that does not provide/resolve any external dependencies. Only project dependencies and local file dependencies are included on the modules' classpath.

  Useful for 'previewing' the output model of IdeaProject because it is supposed to be fast (e.g. does not download dependencies from the web).

  Since:
    1.0-milestone-5

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface IdeaProject` | `getChildren, getJdkName, getLanguageLevel, getModules`
    `interface HierarchicalElement` | `getChildren, getParent`
    `interface Element` | `getDescription, getName`